Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Class KPIDefStruct

    java.lang.Object
      com.fujitsu.iflow.model.workflow.KPIDefStruct

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class KPIDefStruct
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

This class defines the data structure applied to a Key Performance Indicator (KPI). It provides a set of get/set methods to access the KPI fields.

The model API use this class to pass around KPI information. For example, you can add a new `KPIDefStruct` to a `Dashboard` by calling `Dashboard.addKPI(new KPIDefStrcut()).`

To define KPI data, this class provides access to a process definition.

See Also:
  `Dashboard`, Serialized Form

Constructor Summary
`KPIDefStruct()` Generates a new Key Performance Indicator (KPI) structure without any user defined data.

Method Summary
`KPIDefStruct` | `cloneStruct()` Generates and returns a copy of this Key Performance Indicator (KPI) structure.
`long` | `getActivityDefinitionId()` Returns the activity definition ID associated with this Key Performance Indicator (KPI).
`java.lang.String` | `getDesc()` Returns the description of this KPI.
`int` | `getDisplayType()` Returns the current display type of this KPI.
`int` | `getKpiDisplay()` Returns the display of this KPI.
`long` | `getKpiId()` Returns the KPI ID.
`int` | `getKpiMeasure()` Returns the measure of this Key Performance Indicator (KPI).
`int` | `getKpiScope()` Returns the scope of this KPI.
`java.lang.String` | `getName()` Returns this Key Performance Indicator's (KPI)name.
`long` | `getProcessDefinitionId()` Returns the process definition ID associated with this Key Performance Indicator (KPI).
`long` | `getTargetValue()` Returns the target value of this Key Performance Indicator (KPI).
`ThresholdDefStruct[]` | `getThresholds()` Returns the array of threshold definitions associated with this Key Performance Indicator (KPI).
`void` | `setActivityDefinitionId(long activityDefinitionId)` Sets the activity definition ID associated with this Key Performance Indicator (KPI).
`void` | `setDesc(java.lang.String description)` Sets the description of this Key Performance Indicator (KPI).
`void` | `setDisplayType(int displayType)` Sets the display graph type of this Key Performance Indicator (KPI).
`void` | `setKpiDisplay(int kpiDisplay)` Sets the display option of this Key Performance Indicator (KPI).
`void` | `setKpiId(long kpiID)` Sets the unique identifier of this Key Performance Indicator (KPI).
`void` | `setKpiMeasure(int kpiMeasure)` Sets the measure to evaluate the scope of this Key Performance Indicator (KPI).
`void` | `setKpiScope(int kpiScope)` Sets the scope of this Key Performance Indicator (KPI).
`void` | `setName(java.lang.String kpiName)` Sets the Key Performance Indicator's (KPI) name.
`void` | `setProcessDefinitionId(long processDefinitionId)` Sets the process definition ID associated with this Key Performance Indicator (KPI).
`void` | `setTargetValue(long targetValue)` Sets the recommended target value of this Key Performance Indicator (KPI) which is the idle value for KPI.
`void` | `setThresholds(ThresholdDefStruct[] thresholds)` Sets the threshold definitions for this Key Performance Indicator (KPI).
`java.lang.String` | `toString()` Returns a String representation of this Key Performance Indicator (KPI).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KPIDefStruct

    public KPIDefStruct()

  Generates a new Key Performance Indicator (KPI) structure without any user defined data.

Method Detail

### setKpiId

    public void setKpiId(long kpiID)

  Sets the unique identifier of this Key Performance Indicator (KPI).

  Parameters:
    `kpiID` - The ID of this KPI.

### setThresholds

    public void setThresholds(ThresholdDefStruct[] thresholds)

  Sets the threshold definitions for this Key Performance Indicator (KPI).

  Parameters:
    `thresholds` - A list of threshold definitions used for this KPI.

### setName

    public void setName(java.lang.String kpiName)

  Sets the Key Performance Indicator's (KPI) name. It should be a short descriptive name that allows the user to easily identify the meaning of this KPI.

  With initialisation the name is set to "KPI Wait time".

  Parameters:
    `kpiName` - The name of this KPI.

### setDesc

    public void setDesc(java.lang.String description)

  Sets the description of this Key Performance Indicator (KPI). The description can be used to document the meaning/usage of this KPI in more detail.

  With initialisation the description is set to "KPI Wait Time".

  Parameters:
    `description` - The KPI's description.

### setDisplayType

    public void setDisplayType(int displayType)

  Sets the display graph type of this Key Performance Indicator (KPI). Currently only display type 0 (= meter graph) is supported.

  Parameters:
    `displayType` - The KPI's display type. Currently only the value 0 for "meter graph" is supported.

### setKpiDisplay

    public void setKpiDisplay(int kpiDisplay)

  Sets the display option of this Key Performance Indicator (KPI). Following values are currently supported:
  - 0 - non-display
  - 1 - display

  Parameters:
    `kpiDisplay` - The KPI's display option. Use 0 for non-display and 1 for display.

### setKpiScope

    public void setKpiScope(int kpiScope)

  Sets the scope of this Key Performance Indicator (KPI). Following scopes are supported:
  - 0 - Specifies the System level.
    The system level includes both process definitions and activities.
  - 1 - Specifies the Process level.
    The process level includes only process definitions.
  - 2 - Specifies the Activity level.
    The activity level includes only activities.

  Parameters:
    `kpiScope` - The KPI's scope like 0 for System level.

### setTargetValue

    public void setTargetValue(long targetValue)

  Sets the recommended target value of this Key Performance Indicator (KPI) which is the idle value for KPI.

  Parameters:
    `targetValue` - The KPI's target value.

### setKpiMeasure

    public void setKpiMeasure(int kpiMeasure)

  Sets the measure to evaluate the scope of this Key Performance Indicator (KPI). The currently supported value are:
  - 0 - Wait Time
  - 1 - Amount Waiting
  - 2 - Average Cycle Time

  Parameters:
    `kpiMeasure` - The KPI's measure like 0 for Wait Time.

### setProcessDefinitionId

    public void setProcessDefinitionId(long processDefinitionId)

  Sets the process definition ID associated with this Key Performance Indicator (KPI).

  Parameters:
    `processDefinitionId` - The unique identifier of a process definition this KPI belongs to.

### setActivityDefinitionId

    public void setActivityDefinitionId(long activityDefinitionId)

  Sets the activity definition ID associated with this Key Performance Indicator (KPI).

  Parameters:
    `activityDefinitionId` - The unique identifier of activity definition this KPI belongs to.

### getKpiId

    public long getKpiId()

  Returns the KPI ID.

  Returns:
    The KPI ID.

### getThresholds

    public ThresholdDefStruct[] getThresholds()

  Returns the array of threshold definitions associated with this Key Performance Indicator (KPI).

  Returns:
    The array of threshold definitions.

### getName

    public java.lang.String getName()

  Returns this Key Performance Indicator's (KPI)name. The name of a KPI can be used for identification.

  Returns "KPI Wait Time" when the name was not set before.

  Returns:
    The name of this KPI.
  See Also:
    `setName(String)`

### getDesc

    public java.lang.String getDesc()

  Returns the description of this KPI. The description field can contain a description of this KPI's usage.

  Returns "KPI Wait Time" when the description was not set before.

  Returns:
    The KPI's description.
  See Also:
    `setDesc(String)`

### getDisplayType

    public int getDisplayType()

  Returns the current display type of this KPI.

  Currently only display type 0 (= meter graph) is supported.

  Returns:
    The KPI's display type

### getKpiDisplay

    public int getKpiDisplay()

  Returns the display of this KPI.

  Possible return values are:

  - 0 - non-display
  - 1 - display

  Returns:
    The KPI's display

### getKpiScope

    public int getKpiScope()

  Returns the scope of this KPI.

  Possible values are:

  - 0 - Specifies the System level.
    The system level includes both process definitions and activities.
  - 1 - Specifies the Process level.
    The process level includes only process definitions.
  - 2 - Specifies the Activity level.
    The activity level includes only activities.

  Returns:
    The KPI's scope

### getTargetValue

    public long getTargetValue()

  Returns the target value of this Key Performance Indicator (KPI).

  Returns:
    The KPI's target value.

### getKpiMeasure

    public int getKpiMeasure()

  Returns the measure of this Key Performance Indicator (KPI). The measure is used to evaluate the scope of this KPI.

  Possible return values are:

  - 0 - Wait Time
  - 1 - Amount Waiting
  - 2 - Average Cycle Time

  Returns:
    The KPI's measure.

### getProcessDefinitionId

    public long getProcessDefinitionId()

  Returns the process definition ID associated with this Key Performance Indicator (KPI).

  Returns:
    The unique identifier of the process definition this KPI belongs to.

### getActivityDefinitionId

    public long getActivityDefinitionId()

  Returns the activity definition ID associated with this Key Performance Indicator (KPI).

  Returns:
    The unique identifer of the activity definition this KPI belongs to.

### toString

    public java.lang.String toString()

  Returns a String representation of this Key Performance Indicator (KPI). Currently the returned String is always an empty String.

  Returns:
    The String representation of this KPI.

### cloneStruct

    public KPIDefStruct cloneStruct()
                             throws ModelException

  Generates and returns a copy of this Key Performance Indicator (KPI) structure.

  Returns:
    A clone of this KPI structure.
  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD